Module javafx.graphics
Package javafx.css.converter

# Class URLConverter.SequenceConverter

java.lang.Object
javafx.css.StyleConverter<ParsedValue<ParsedValue[],​String>[],​String[]>
javafx.css.converter.URLConverter.SequenceConverter

Enclosing class:
  URLConverter

    public static final class URLConverter.SequenceConverter
    extends StyleConverter<ParsedValue<ParsedValue[],​String>[],​String[]>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javafx.css.StyleConverter

  `StyleConverter.StringStore`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String[]` | `convert​(ParsedValue<ParsedValue<ParsedValue[],​String>[],​String[]> value, Font font)` | Convert from the parsed CSS value to the target property type.
  `static URLConverter.SequenceConverter` | `getInstance()` |
  `String` | `toString()` |

  ### Methods inherited from class javafx.css.StyleConverter

  `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static URLConverter.SequenceConverter getInstance()

  - ### convert

    public String[] convert​(ParsedValue<ParsedValue<ParsedValue[],​String>[],​String[]> value, Font font)
    Description copied from class: `StyleConverter`
    Convert from the parsed CSS value to the target property type.
    Overrides:
      `convert` in class `StyleConverter<ParsedValue<ParsedValue[],​String>[],​String[]>`
    Parameters:
      `value` - The `ParsedValue` to convert
      `font` - The `Font` to use when converting a relative value.
    Returns:
      the converted target property type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`